#ifndef BILD_H
# define BILD_H

# ifdef __cplusplus
 extern "C" {
# endif
# include "standard.h"

 /* memory status bits */
# define ALL_MEM_OK 0
# define NO_MEM     1
# define NO_HD      2

/* memory arten */
# define SPEICHER    0
# define HD_SPEICHER 1

# define COPY_MEM_RAW               1
# define COPY_MEM_WITH_VESA_OPTIONS 2
# define ZEILE_PLUS_EINS            4

MEM_BILD *lade_pcx_nach_mem(T_PCHAR dateiname,T_INT mem_flag);
T_INT print_mem_bild(MEM_BILD *mem_bild,T_INT x,T_INT y);
T_INT print_mem_teilbild(MEM_BILD *mem_bild,T_INT x,T_INT y,T_INT off_x,T_INT off_y, T_INT b, T_INT h);
T_INT print_mem_bild_oc(MEM_BILD *mem_bild,T_INT x,T_INT y);
T_INT print_mem_teilbild_oc(MEM_BILD *mem_bild,T_INT x,T_INT y,T_INT off_x,T_INT off_y, T_INT b, T_INT h);
MEM_BILD *lade_vga_nach_mem(T_INT x, T_INT y, T_INT len_x, T_INT len_y, T_INT mem_flag);
MEM_BILD *lade_vga_nach_mem_oc(T_INT x, T_INT y, T_INT len_x, T_INT len_y, T_INT mem_flag);
T_INT lade_vga_nach_vga_teil_oc(T_INT x, T_INT y, T_INT len_x, T_INT len_y, T_INT off_x, T_INT off_y);
T_INT lade_vga_nach_vga_teil(T_INT x, T_INT y, T_INT len_x, T_INT len_y, T_INT x_off, T_INT y_off);
T_INT lade_vga_nach_mem_teil(T_INT x, T_INT y, T_INT len_x, T_INT len_y, T_INT x_off, T_INT y_off, MEM_BILD *mem_bild);
T_INT lade_vga_nach_mem_teil_oc(T_INT x, T_INT y, T_INT len_x, T_INT len_y, T_INT x_off, T_INT y_off, MEM_BILD *mem_bild);
T_INT lade_mem_nach_mem_teil(MEM_BILD *bild_source, T_INT s_x, T_INT s_y, MEM_BILD *bild_dest, T_INT d_x, T_INT d_y, T_INT x_len, T_INT y_len, T_INT flag);
T_INT free_mem_bild(MEM_BILD *mem_bild);

/* globale Variablen */
extern T_INT bild_error;
# ifdef __cplusplus
}
# endif

#endif
